import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart' show defaultTargetPlatform, TargetPlatform;

class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;

      default:
        throw UnsupportedError('Unsupported platform');
    }
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'YOUR_ANDROID_API_KEY',
    appId: 'YOUR_ANDROID_APP_ID',
    messagingSenderId: 'YOUR_ANDROID_MESSAGING_SENDER_ID',
    projectId: 'YOUR_PROJECT_ID',
    storageBucket: 'YOUR_STORAGE_BUCKET',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyBJ9bnq3aCfZvl7yh1gRxdHAGAzKmEQeUI',
    appId: '1:1096997940202:ios:4be9f1a44c9b353309a093',
    messagingSenderId: '1096997940202',
    projectId: 'atmosphere-b59e0',
    storageBucket: 'atmosphere-b59e0.firebasestorage.app',
    iosBundleId: 'com.atmoSphereWeather.atmoSphereWeather',
  );
}
